CREATE TABLE IF NOT EXISTS `SprechstundenAnmeldung` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `termin_id` int(11) NOT NULL,
  `zeitslot_id` int(11) NOT NULL,
  `user_id` varchar(32) NOT NULL,
  `event_id_dozent` varchar(32) NOT NULL,
  `event_id_student` varchar(32) NOT NULL,
  `grund` text NOT NULL,
  PRIMARY KEY  (`id`,`termin_id`,`zeitslot_id`)
) TYPE=MyISAM;

CREATE TABLE IF NOT EXISTS `SprechstundenTermin` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `desc_id` int(11) NOT NULL,
  `start_time` varchar(32) NOT NULL,
  `end_time` varchar(32) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

CREATE TABLE IF NOT EXISTS `SprechstundenTerminDesc` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `dozent_id` varchar(32) NOT NULL,
  `start_date` varchar(32) NOT NULL,
  `end_date` varchar(32) NOT NULL,
  `am` varchar(32) NOT NULL,
  `ort` varchar(255) NOT NULL,
  `intervall` varchar(32) NOT NULL,
  `dauer` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

CREATE TABLE IF NOT EXISTS `SprechstundenZeitSlot` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `termin_id` int(11) NOT NULL,
  `position` int(11) NOT NULL,
  `belegt` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;
