<?= $message ?>

<? if (!$box): ?>
<h3>Sprechstundenterminliste von <?= htmlReady($teacher_name) ?></h3>
<? endif; ?>

<table border="0" cellspacing="0" cellpadding="2" width="100%">
    <tr>
        <th align="left" width="150">Tag</th>
        <th align="left">Zeit</th>
        <th align="left">Status</th>
        <th align="left">Person</th>
        <th align="left">Ort</th>
        <th align="center">Grund</th>
        <th align="right" colspan="2">Optionen</th>
    </tr>
    <? foreach ($views as $view): ?>
    <tr class="<?= TextHelper::cycle('cycle_odd', 'cycle_even') ?>">
        <td style="color:<?=$view['color']?>">
            <?=strftime("%A, %d.%m.%Y", $view['start'])?>
        </td>
        <td style="color:<?=$view['color']?>">
            <?=date("H:i",$view['start'])?> - <?=date("H:i",$view['end'])?>
        </td>
        <td style="color:<?=$view['color']?>">
            <?=$view['status']?>
        </td>
        <td>
            <?=$view['student']?>
        </td>
        <td>
            <?= htmlReady($view['place']) ?>
        </td>
        <td>
        <? if(strlen($view['remark'])> 50): ?>
            <div title="<?=htmlReady($view['remark'])?>"><?=htmlReady(substr($view['remark'], 0, 50))?>...</div>
        <? else: ?>
            <?=htmlReady($view['remark'])?>
        <? endif; ?>
        </td>
        <td align="right">
        <? if($view['option'] == 'create'): ?>
        <a href="<?= URLHelper::getLink($link_book, array('username' => $teacher_username, 'slot_id' => $view['slotid'])) ?>">
            <?= Assets::img('icons/16/blue/add/consultation.png', array('title' => _('Sprechstundentermin anlegen'))) ?>
        </a>
        <? elseif ($view['option'] == 'cancel'): ?>
        <a href="<?= URLHelper::getLink($link_cancel, array('username' => $teacher_username, 'slot_id' => $view['slotid'])) ?>">
            <?= Assets::img('icons/16/blue/remove/consultation.png', array('title' => _('Sprechstundentermin absagen'))) ?>
        </a>
        <? endif ?>
        </td>
        <td  align="right" width="20">
        <? if ($view['delete'] && $view['option'] == 'create') : ?>
        <a href="<?= URLHelper::getLink($link_delete, array('slot_id' => $view['slotid'])) ?>">
            <?= Assets::img('icons/16/blue/trash.png', array('title' => _('Sprechstundentermin entfernen'))) ?>
        </a>
        <? endif ?>
        </td>
    </tr>
    <? endforeach; ?>

    <?If($page > 0 || (!$viewall && !$boxview) || (count($views)+($page*$entries_per_page) < $count_slots)): ?>
    <tr class="steel2">
        <td colspan="3" align="left">
        <? if ($page > 0):?>
            <a href="<?= URLHelper::getLink($link, array('term_id' => $term_id, 'username' => $teacher_username, 'page' => ($page-1))) ?>"><?=makebutton('vorherige', 'img' , 'vorherige Seite anzeigen', 'vorherige Seite anzeigen')?></a>
        <? endif; ?>
        </td>
        <td align="center">
        <? if (!$viewall && !$boxview): ?>
            <a href="<?= $link ?>"><?=makebutton('zurueck2', 'img', 'zurck zur bersicht', 'zurck zur bersicht')?></a>
            <a href="<?= URLHelper::getLink($link_print, array('term_id' => $singletermid, 'username' => $teacher_username, 'action' => 'print')) ?>" target="_blank"><img class="button" src="<?=$path ?>/img/button-print.png" alt="drucken" title="Druckansicht" /></a>
        <? endif; ?>
        </td>
        <td colspan="4" align="right">
        <? if (count($views)+($page*$entries_per_page) < $count_slots): ?>
            <a href="<?= URLHelper::getLink($link, array('term_id' => $term_id, 'username' => $teacher_username, 'page' => ($page+1))) ?>"><?=makebutton('naechster', 'img', 'nchste Seite anzeigen', 'nchste Seite anzeigen')?></a>
        <? endif; ?>
        </td>
    </tr>
    <? endif; ?>
</table>