<?= $message ?>

<h3><?= _('Meine Sprechstundenblcke') ?></h3>

<? if (count($blocks) > 0): ?>
<form name="delete" method="post" action="<?=$link_deleteblocks ?>">
<table border="0" cellspacing="0" cellpadding="2" width="100%">
    <tr>
        <th align="left" width="150">Tag</th>
        <th align="left">Zeit</th>
        <th align="left">Ort</th>
        <th align="right">Aktionen</th>
    </tr>
    <? foreach ($blocks as $block): ?>
    <tr class="<?= TextHelper::cycle('cycle_odd', 'cycle_even') ?>">
        <td><?=$block['date']?></td>
        <td><?=$block['start_time']?> - <?=$block['end_time'] ?></td>
        <td><?= htmlReady($block['ort']) ?></td>
        <td align="right">
            <a href="<?= URLHelper::getLink($link, array('term_id' => $block['id'])) ?>">
                <?= Assets::img('icons/16/blue/consultation.png', array('title' => _('Sprechstundenblock anzeigen'))) ?>
            </a>
            <a href="<?= URLHelper::getLink($link, array('term_id' => $block['id'], 'action' => 'print')) ?>" target="_blank">
                <?= Assets::img('icons/16/blue/print.png', array('title' => _('Druckansicht anzeigen'))) ?>
            </a>
            <a href="<?= URLHelper::getLink($link_deleteblocks, array('term_id' => $block['id'])) ?>">
                <?= Assets::img('icons/16/blue/trash.png', array('title' => _('Sprechstundentermin entfernen'))) ?>
            </a>
            <input type="checkbox" name="term_ids[]" value="<?=$block['id']?>">
        </td>
    </tr>
    <? endforeach; ?>
    <tr>
        <td class="steel2" colspan="4" align="right">
            <?=makebutton('loeschen', 'input', 'markierte Blcke lschen')?>
            <input class="middle" type="checkbox" id="checkall" name="checkall" value="">
        </td>

    </tr>
</table>
</form>
<script>
jQuery('#checkall').click(function(){jQuery(':checkbox').attr('checked', jQuery('#checkall').is(':checked'));})
</script>
<? else: ?>
<?= MessageBox::info('Sie haben noch keine Termine angelegt.') ?>
<? endif; ?>
<br/>
<?= $view_slots ?>