<?php
/**
 * Term.class.php
 *
 * @author  Michael Riehemann <michael.riehemann@uni-oldenburg.de>
 * @author  Ivn Marcos <ivan.marcos@gmx.net>
 * @author  Nico Mueller <nico.mueller@uni-oldenburg.de>
 * @package IBIT_SprechstundenPlugin
 * @copyright IBIT 2006-2008
 * @version 1.7.5
 */

// Imports
require_once "Slot.class.php";

/**
 * Enter description here...
 *
 */
class Term
{
	/**
	 * Enter description here...
	 *
	 * @var unknown_type
	 */
	public $id = -1;
	/**
	 * Enter description here...
	 *
	 * @var unknown_type
	 */
	public $desc_id = -1;
	/**
	 * Enter description here...
	 *
	 * @var unknown_type
	 */
	public $start_stamp = -1;
	/**
	 * Enter description here...
	 *
	 * @var unknown_type
	 */
	public $end_stamp = -1;
	/**
	 * Enter description here...
	 *
	 * @var unknown_type
	 */
	public $db;

	/**
	 *
	 * Konstruktor ...
	 *
	 */
	function __construct($id = -1)
	{
		$this->db = new DB_Seminar;
		if ($id > 0)
		{
			$this->db->queryf("SELECT * FROM `SprechstundenTermin` WHERE (`id`= '%s')", $id);
			if ($this->db->next_record())
			{
				$this->id = $id;
				$this->desc_id = $this->db->f('desc_id');
				$this->start_stamp = $this->db->f('start_time');
				$this->end_stamp = $this->db->f('end_time');
			}
		}
	}

	/**
	 * Enter description here...
	 *
	 * @param unknown_type $desc_id
	 * @param unknown_type $start_stamp
	 * @param unknown_type $end_stamp
	 * @return boolean
	 */
	public function insert($desc_id, $start_stamp, $end_stamp)
	{
		$this->desc_id = $desc_id;
		$this->start_stamp = $start_stamp;
		$this->end_stamp = $end_stamp;

		// insert into the db
		$sql = "INSERT INTO `SprechstundenTermin` (`id`,`desc_id`,`start_time`,`end_time`) VALUES (NULL, '%s', '%s', '%s')";
		$this->db->queryf($sql, $this->desc_id, $this->start_stamp, $this->end_stamp);
		$this->db->queryf("SELECT id FROM `SprechstundenTermin` WHERE `desc_id` = '%s' AND `start_time` = '%s';", $this->desc_id, $this->start_stamp);
		if($this->db->next_record())
		{
			$this->id = $this->db->f("id");
			return true;
		}
		else
		{
			return false;
		}
	}

	/**
	 * Enter description here...
	 *
	 * @param unknown_type $duration
	 * @return boolean
	 */
	public function createSlots($duration)
	{
		if (($this->id <= 0) || ($this->desc_id <= 0))
		{
			return false;
		}
		else
		{
			// get the difference in seconds
			$difference = $this->end_stamp - $this->start_stamp;
			// get the time in seconds
			$seconds	= $duration * 60;
			// get the number of slots
			$nr_slots = ($difference / $seconds);
			// the rest time...one more slot?
			if (($difference % $seconds) > 60)
			{
				$nr_slots++;
			}
			// the slots
			$slot = new Slot();

			// for every slot create a entry
			for ($i=1;$i<=$nr_slots;$i++)
			{
				#echo "erstelle slot mit termid: ".$this->id."<br>";
				if (!$slot->insert($this->id,$i,0))
				{
					return false;
				}
			}
			return true;
		}
	}
}
?>