<? if(count($errors) > 0) : ?>
<?= Messagebox::error('Bitte fllen Sie alle bentigten Felder aus.', $errors);?>
<? endif;?>
<?= $message ?>

<h3>Neuer Sprechstundenblock</h3>

<form action="<?=$link_save ?>" method="post" name="formular">
<table width="100%" cellspacing="0" cellpadding="2" border="0">
    <tr class="steel1">
        <td width="150">Beginn:</td>
        <td>
            <input id="start" type="text" name="start" value="<?= htmlReady($start) ?>" required>
        </td>
        <td width="150">Ende:</td>
        <td>
            <input id="ende" type="text" name="ende" value="<?= htmlReady($ende) ?>" required>
        </td>
    </tr>
    <tr class="steelgraulight">
        <td>Von:</td>
        <td>
            <select name="start_hour" >
            <? for ($i=0;$i<24;$i++) : ?>
                <option <?= ($start_hour == $i)? 'selected' : '' ?> value="<?= $i ?>"><?= sprintf ("%02d", $i) ?></option>
            <? endfor; ?>
            </select> :
            <select name="start_minute" >
            <? for ($i=0; $i<12; $i++) : $value = $i*5; ?>
                <option <?= (round($start_minute/5) == $i)? 'selected' : '' ?> value="<?= $value ?>" ><?=sprintf ("%02d", $value) ?></option>
            <? endfor; ?>
            </select>
        </td>
        <td>Bis:</td>
        <td>
            <select name="ende_hour" >
            <? for ($i=0; $i<24; $i++) : ?>
                <option <?= ($ende_hour == $i)? 'selected' : '' ?> value="<?= $i ?>"><?= sprintf ("%02d", $i) ?></option>
            <? endfor; ?>
            </select> :
            <select name="ende_minute" >
            <? for ($i=0; $i<12; $i++) : $value = $i*5; ?>
                <option <?= (round($ende_minute/5) == $i)? 'selected' : '' ?> value="<?= $value ?>" ><?=sprintf ("%02d", $value) ?></option>
            <? endfor; ?>
            </select>
        </td>
    </tr>
    <tr class="steel1">
        <td>Am Wochentag:</td>
        <td colspan="3">
        <select name="day_of_the_week" >
        <?
            // array
            $days_of_the_week = array(
                _("Montag") => 1,
                _("Dienstag") =>2,
                _("Mittwoch") =>3,
                _("Donnerstag") =>4,
                _("Freitag") =>5,
                _("Samstag") =>6,
                _("Sonntag") =>0
            );
            // loop
            foreach ($days_of_the_week as $day => $value) : ?>
            <option value="<?=$value?>" <?= (Request::int('day_of_the_week', 1) == $value)? 'selected' : ''?>><?= htmlReady($day) ?></option>
            <? endforeach ?>
        </select>
    </td>
    </tr>
    <tr class="steelgraulight">
        <td>Ort:</td>
        <td colspan="3">
            <input type="text" name="place" value="<?= htmlReady(Request::get('place')) ?>" maxlength="255" size="40" required>
        </td>
    </tr>
    <tr class="steel1">
        <td>Intervall:</td>
        <td colspan="3">
            <select name="interval" >
                <? $intervals = array("w&ouml;chentlich"=>1, "14 t&auml;gig"=>2, "21 t&auml;gig"=>3, "monatlich"=>4);
                foreach ($intervals as $interval => $value) : ?>
                <option value="<?=$value?>" <?= (Request::int('interval') == $value)? 'selected' : ''?>><?= $interval ?></option>
                <? endforeach ?>
            </select>
        </td>
    </tr>
    <tr class="steel1">
        <td>Dauer eines Termins:</td>
        <td colspan="3">
            <input type="text" name="duration" value="<?= htmlReady(Request::int('duration', '15')) ?>"  maxlength="3" size="3" required> Minuten
        </td>
    </tr>
    <tr>
        <td colspan="4" align="center">
            <?=makebutton('speichern', 'input', 'Sprechstunden Termine anlegen'. 'SprechstundenTermine anlegen')?>
            <a href="<?=$link_back?>">
                <?=makebutton('zurueck2')?>
            </a>

        </td>
    </tr>
</table>
</form>
<script>

jQuery(function ($) {
    $.datepicker.regional.de = {
        closeText: 'schlieen',
        prevText: '&#x3c;zurck',
        nextText: 'Vor&#x3e;',
        currentText: 'heute',
        monthNames: ['Januar', 'Februar', 'Mrz', 'April', 'Mai', 'Juni',
                     'Juli', 'August', 'September', 'Oktober', 'November', 'Dezember'],
        monthNamesShort: ['Jan', 'Feb', 'Mr', 'Apr', 'Mai', 'Jun',
                          'Jul', 'Aug', 'Sep', 'Okt', 'Nov', 'Dez'],
        dayNames: ['Sonntag', 'Montag', 'Dienstag', 'Mittwoch', 'Donnerstag', 'Freitag', 'Samstag'],
        dayNamesShort: ['So', 'Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa'],
        dayNamesMin: ['So', 'Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa'],
        weekHeader: 'Wo',
        dateFormat: 'dd.mm.yy',
        firstDay: 1,
        isRTL: false,
        showMonthAfterYear: false,
        yearSuffix: ''
    };
    $.datepicker.setDefaults($.datepicker.regional.de);
}(jQuery));

jQuery('#start').datepicker();
jQuery('#ende').datepicker();
</script>